Description

Deimos Bindings for libavutil.

Package Information

Version0.1.0 (2016-Jan-24)
Repository https://github.com/epi/deimos-libavutil
LicenseLGPL-2.1 or later or GPL-2.0 or later
Registered byAdrian Matoga
Dependencies none

Installation

To use this package, put the following dependency into your project's dependencies section:

dub.json
dub.sdl

Readme

libavutil

D bindings for libavutil, which is a part of Libav and FFmpeg. As a derived work, deimos-avutil retains the original libavutil license.

Both Libav and FFmpeg are licensed under the following terms:

Libav/FFmpeg is licensed under the GNU Lesser General Public License (LGPL) version 2.1 or later. However, Libav/FFmpeg incorporates several optional parts and optimizations that are covered by the GNU General Public License (GPL) version 2 or later. If those parts get used the GPL applies to all of Libav/FFmpeg.

Read the license texts to learn how this affects programs built on top of Libav/FFmpeg or reusing Libav/FFmpeg. You may also wish to have a look at the GPL FAQ.

Note that Libav/FFmpeg is not available under any other licensing terms, especially not proprietary/commercial ones, not even in exchange for payment.

For more information, see here and here.

Available versions

0.1.0 ~master